1

Building Vertcoin on Xubuntu 16.10 build error:

Last lines of the output:

obj/util.o: In function `boost::program_options::detail::basic_config_file_iterator<char>::getline(std::string&)':
/usr/include/boost/program_options/detail/config_file.hpp:171: undefined reference to `boost::program_options::to_internal(std::string const&)'
obj/util.o: In function `boost::program_options::detail::basic_config_file_iterator<char>::basic_config_file_iterator(std::istream&, std::set<std::string, std::less<std::string>, std::allocator<std::string> > const&, bool)':
/usr/include/boost/program_options/detail/config_file.hpp:155: undefined reference to `boost::program_options::detail::common_config_file_iterator::common_config_file_iterator(std::set<std::string, std::less<std::string>, std::allocator<std::string> > const&, bool)'
collect2: error: ld returned 1 exit status
makefile.unix:219: recipe for target 'vertcoind' failed
make: *** [vertcoind] Error 1

Pastebin.com link of the full output

Additional info:

$ g++ --version
g++ (Ubuntu 4.8.5-4ubuntu4) 4.8.5

$ gcc --version
gcc (Ubuntu 4.8.5-4ubuntu4) 4.8.5

$ uname -a
Linux droidx 4.8.0-26-generic #28-Ubuntu SMP Tue Oct 18 14:39:52 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ cat /usr/include/boost/version.hpp | grep "BOOST_LIB_VERSION"
//  BOOST_LIB_VERSION must be defined to be the same as BOOST_VERSION
#define BOOST_LIB_VERSION "1_61"

put on hold as off-topic by Andrew Chow 18 hours ago

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions about cryptocurrencies or projects that are not Bitcoin, and are not applicable to Bitcoin, are off-topic. For more information, see this meta-discussion." – Andrew Chow
If this question can be reworded to fit the rules in the help center, please edit the question.

  • i switched the OS meanwhile, leaving the question open as it appears to be a general problem running the 16.10 distros. – Aurigae Nov 8 '16 at 5:33

Browse other questions tagged or ask your own question.